% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/bmm-package.R
\docType{package}
\name{bmm-package}
\alias{bmm-package}
\title{Easy and Accesible Bayesian Measurement Models Using 'brms'}
\description{
Fit computational and measurement models using full Bayesian inference. The package provides a simple and accessible interface by translating complex domain-specific models into 'brms' syntax, a powerful and flexible framework for fitting Bayesian regression models using 'Stan'. The package is designed so that users can easily apply state-of-the-art models in various research fields, and so that researchers can use it as a new model development framework. References: Frischkorn and Popov (2023) \doi{10.31234/osf.io/umt57}.
}
\seealso{
Useful links:
\itemize{
  \item \url{https://github.com/venpopov/bmm}
  \item \url{https://venpopov.github.io/bmm/}
  \item Report bugs at \url{https://github.com/venpopov/bmm/issues}
}

}
\author{
\strong{Maintainer}: Vencislav Popov \email{vencislav.popov@gmail.com} (\href{https://orcid.org/0000-0002-8073-4199}{ORCID}) [copyright holder]

Authors:
\itemize{
  \item Gidon T. Frischkorn \email{gidon.frischkorn@psychologie.uzh.ch} (\href{https://orcid.org/0000-0002-5055-9764}{ORCID}) [copyright holder]
}

Other contributors:
\itemize{
  \item Chenyu Li [contributor]
  \item Paul-Christian Bürkner \email{paul.buerkner@gmail.com} (Creator of 'brms', code portions of which are used in 'bmm'.) [copyright holder]
}

}
